Building jitsi-meet .debs problem

Senior Damian Minkov, I would like to ask you a question. Please refer to the following question description.

Environment:

  • Install VMware and Ubuntu nested on Windows 10 Professional,Ubuntu system information:

Linux version 5.4.0-70-generic (buildd@lgw01-amd64-039) (gcc version 7.5.0 (Ubuntu 7.5.0-3ubuntu1~18.04)) #78~18.04.1-Ubuntu SMP Sat Mar 20 14:10:07 UTC 2021

Linux videoconference 5.4.0-70-generic #78~18.04.1-Ubuntu SMP Sat Mar 20 14:10:07 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

The tool uses Visual Studio Code

jkc@videoconference:~/jitsi-meet$ npm -v

7.6.3

jkc@videoconference:~/jitsi-meet$ node -v

v15.12.0

According to instruction manual

Building .debs

To make a deb you can easily deploy to a public test server, ensure you have the lib-jitsi-meet sources you wish, then:

make
dpkg-buildpackage -A -rfakeroot -us -uc -tc

“make” is ok ,“dpkg-buildpackage -A -rfakeroot -us -uc -tc” went wrong

result:The error message is:

Dpkg-buildPackage: info: source package jitsi-meet-web

Dpkg-buildPackage: info: Source version 1.0.1-1

dpkg-buildpackage: info: source distribution unstable

Dpkg-buildPackage: info: source modifier Damian Minkov <damencho@jitsi.org>

Dpkg-architecture: Error: Unknown GNU system type Clecle4ar, you must also specify a Debian system processor architecture

DPKG-BuildPackage: Error: DPKG-Architecture subprocess returned exit status 255

Could you please help me? How to solve this problem. Thank you.

We do not support building source packages. Use:
dpkg-buildpackage -A -rfakeroot -us -uc

I’ll try Debian again, but thank you